Bug 2024904 (CVE-2021-43618)

Summary: CVE-2021-43618 gmp: Integer overflow and resultant buffer overflow via crafted input
Product: [Other] Security Response Reporter: Pedro Sampaio <psampaio>
Component: vulnerabilityAssignee: Nobody <nobody>
Status: NEW --- QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: bdettelb, caswilli, fjansen, jamartis, jburrell, jwong, kaycoth, kyoshida, lnykryn, mdogra, psegedy, rh-spice-bugs, saroy, sbiarozk, vkumar, vmugicag
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: gmp 6.2.1 Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in gmp. An integer overflow vulnerability could allow an attacker to input an integer value leading to a crash. The highest threat from this vulnerability is to system availability.
Story Points: ---
Clone Of: Environment:
Last Closed: Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On: 2024905, 2027956, 2027957, 2027958, 2029346, 2029348    
Bug Blocks: 2024906    

Description Pedro Sampaio 2021-11-19 13:41:35 UTC
GNU Multiple Precision Arithmetic Library (GMP) through 6.2.1 has an mpz/inp_raw.c integer overflow and resultant buffer overflow via crafted input, leading to a segmentation fault on 32-bit platforms.

References:

https://gmplib.org/list-archives/gmp-bugs/2021-September/005077.html
https://bugs.debian.org/994405
https://gmplib.org/repo/gmp-6.2/rev/561a9c25298e

Comment 1 Pedro Sampaio 2021-11-19 13:41:57 UTC
Created gmp tracking bugs for this issue:

Affects: fedora-all [bug 2024905]

Comment 12 errata-xmlrpc 2023-11-07 08:22:20 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 9

Via RHSA-2023:6661 https://access.redhat.com/errata/RHSA-2023:6661

Comment 16 errata-xmlrpc 2024-03-05 16:22:17 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.6 Extended Update Support

Via RHSA-2024:1102 https://access.redhat.com/errata/RHSA-2024:1102

Comment 17 errata-xmlrpc 2024-03-19 17:30:17 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.8 Extended Update Support

Via RHSA-2024:1412 https://access.redhat.com/errata/RHSA-2024:1412